RDKit::FMCS::DuplicatedSeedCache::TKey Class Reference

`#include <DuplicatedSeedCache.h>`

## Public Member Functions

size_t | getNumAtoms () const
size_t | getNumBonds () const
void | addAtom (unsigned i)
void | addBond (unsigned i)
bool | operator== (const TKey &right) const
bool | operator< (const TKey &right) const

## Detailed Description

Definition at line 21 of file DuplicatedSeedCache.h.

## Member Function Documentation

void RDKit::FMCS::DuplicatedSeedCache::TKey::addAtom | ( | unsigned | i | ) |

inline

Definition at line 32 of file DuplicatedSeedCache.h.

void RDKit::FMCS::DuplicatedSeedCache::TKey::addBond | ( | unsigned | i | ) |

inline

Definition at line 36 of file DuplicatedSeedCache.h.

size_t RDKit::FMCS::DuplicatedSeedCache::TKey::getNumAtoms | ( |  | ) | const

inline

Definition at line 25 of file DuplicatedSeedCache.h.

Referenced by RDKit::FMCS::DuplicatedSeedCache::add(), and RDKit::FMCS::DuplicatedSeedCache::find().

size_t RDKit::FMCS::DuplicatedSeedCache::TKey::getNumBonds | ( |  | ) | const

inline

Definition at line 28 of file DuplicatedSeedCache.h.

bool RDKit::FMCS::DuplicatedSeedCache::TKey::operator< | ( | const TKey & | right | ) | const

inline

Definition at line 48 of file DuplicatedSeedCache.h.

bool RDKit::FMCS::DuplicatedSeedCache::TKey::operator== | ( | const TKey & | right | ) | const

inline

Definition at line 41 of file DuplicatedSeedCache.h.

The documentation for this class was generated from the following file:

- DuplicatedSeedCache.h